Bug 186497 - xsane crashes with 'Segmentation Fault' on just installed FC5
xsane crashes with 'Segmentation Fault' on just installed FC5
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xsane (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-23 16:23 EST by stef
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-13 03:39:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description stef 2006-03-23 16:23:05 EST
Description of problem:

xsane crashes on a newly installed FC5, not even used once

Version-Release number of selected component (if applicable):

xsane-0.99-2.2


How reproducible:

always

Steps to Reproduce:
1.launch 'xsane'
2.
3.
  
Actual results:

crashes with Segmentation Fault

[stranche@gallion ~]$ xsane
Erreur de segmentation

Expected results:

work and scan

Additional info:

this very hardware configuration worked flawlessly with FC4
Comment 1 stef 2006-03-24 14:43:21 EST
tryed to get the SRPM xsane-0.99-2.2.src.rpm and recreate the executable with
rpmbuild --rebuild , but here's what I got :

checking for sane-config... /usr/bin/sane-config
checking for SANE - version >= 1.0.0... no
*** Could not run SANE test program, checking why...
checking for pkg-config... /usr/bin/pkg-config
checking for GIMP - version >= 1.3.23... yes (version 2.2.10)
checking png.h usability... yes
checking png.h presence... yes
checking for png.h... yes
checking for png_create_info_struct in -lpng... yes
****************************************************************
ERROR: SANE-1.0.0 or newer is needed for compiling xsane
     - if you installed SANE as rpm make sure you also included
       sane-devel
****************************************************************

+ make LDFLAGS=
make: *** No targets specified and no makefile found.  Stop.
erreur: Mauvais status de sortie pour /var/tmp/rpm-tmp.6782 (%build)


Erreur de construction de RPM:
    Mauvais status de sortie pour /var/tmp/rpm-tmp.6782 (%build)


no sign of any package sane anywhere, the only one installed are :

sane-backends-1.0.17-4
libsane-hpaio-0.9.8-6
sane-frontends-1.0.14-1.2.1
xsane-gimp-0.99-2.2
sane-backends-devel-1.0.17-4
xsane-0.99-2.2
Comment 2 stef 2006-03-24 15:47:21 EST
found what's the problem !!

you have to erase all preferences previously stocked in you home

rm -rf ~/.sane

after that xsane starts OK
Comment 3 stef 2006-03-25 17:49:37 EST
(In reply to comment #2)
> found what's the problem !!
> 
> you have to erase all preferences previously stocked in you home
> 
> rm -rf ~/.sane
> 
> after that xsane starts OK

to be precise about the context of this comment, the /home partition was not
destroyed when I migrated from FC4 to FC5, so that I had not to move my tens
gigs of data somewhere else before starting install.

There should be something however that insures that the FC4 (or previous)
preferences are not around and warn the user instead of crashing with a
Segmentation Fault not very helpful.
Comment 4 Nils Philippsen 2007-06-13 03:40:11 EDT
I've reported the issue to upstream so they might fix it in a future version.

Note You need to log in before you can comment on or make changes to this bug.